html {
  height: 100%;
}

body {
  background-color: rgb(235, 235, 235);
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
    "Lucida Sans", Arial, sans-serif;
  line-height: 150%;
  padding: 0;
  margin: 0;
  height: 100%;
  /* border: red 1px solid; */
  display: flex;
}

.navigation ul {
  list-style: none;
  padding: 0;
  display: flex;
  flex-direction: row;
}

.navigation ul li {
  margin: 5px;
}

ul {
  list-style: none;
  padding: 0;
}

ul li:before {
  content: "✓";
  color: rgb(1, 106, 204);
  margin: 5px;
}

a {
  color: white;
  text-decoration: none;
}

a:visited {
  color: white;
  text-decoration: none;
}

.container {
  flex: 100%;
  display: flex;
  padding: 0;
  margin: 0;
  flex-direction: column;
  min-height: 100%;
  justify-content: space-between;
}

header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  /* border: 1px solid yellow; */
}

.navigation {
  top: 0;
  position: sticky;
  display: flex;
  flex-direction: row;
  justify-content: center;
  color: white;
  background-color: rgb(1, 106, 204);
}

.banner {
  display: flex;
  flex-direction: row;
  color: white;
  background-color: rgb(83, 146, 206);
  padding: 20px;
  padding-left: 15em;
  padding-right: 15em;
}

@media screen and (max-width: 1100px) {
  header {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .banner {
    display: flex;
    flex-direction: column;
    color: white;
    background-color: rgb(83, 146, 206);
    padding: 20px;
    align-items: center;
  }

  .selfie {
    display: flex;
    align-items: center;
    justify-content: center;
    flex: content;
    padding: 10px;
  }

  .dp {
    height: 200px;
  }

  main {
    text-align: justify;
    display: flex;
    flex-direction: column;
  }

  .content-light {
    padding: 20px;
    background-color: #b9d1e7;
  }

  .display-row {
    margin: 0;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
  }

  .display-card {
    margin: 40px;
    padding: 25px;
    background-color: white;
    min-width: 200px;
    min-height: 200px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    flex: 100%;
  }

  footer {
    width: 100%;
    text-align: center;
    /* border: 1px solid blue; */
    background-color: rgb(1, 106, 204);
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
  }

  .social {
    padding: 10px;
    border-radius: 6px;
    position: relative;
    overflow: hidden;
    flex: 100%;
  }

  footer p {
    flex: 100%;
  }
}

.selfie {
  display: flex;
  align-items: center;
  justify-content: right;
  flex: content;
  padding: 10px;
}

.dp {
  height: 200px;
}

.about-me {
  padding: 10px;
}

main {
  text-align: justify;
  /* border: 1px solid red; */
  display: flex;
  flex-direction: column;
  flex: 100%;
}

.content-light {
  flex: 100%;
  padding: 20px;
  background-color: #b9d1e7;
}

.content-dark {
  flex: 100%;
  padding: 20px;
  background-color: rgb(156, 207, 255);
}

.display-row {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
}

.display-card {
  margin: 40px;
  padding: 25px;
  background-color: white;
  min-width: 300px;
  max-width: 400px;
  min-height: 200px;
  max-height: 300px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.front-end {
  display: flex;
  flex-direction: row;
  color: white;
  background-color: rgb(83, 146, 206);
  width: 50px;
  height: 50px;
  border-radius: 25px;
  text-align: center;
  justify-content: center;
  align-items: center;
  position: absolute;
  margin-top: -50px;
  margin-left: 75px;
}

.back-end {
  display: flex;
  flex-direction: row;
  color: white;
  background-color: rgb(83, 146, 206);
  width: 50px;
  height: 50px;
  border-radius: 25px;
  text-align: center;
  justify-content: center;
  align-items: center;
  position: absolute;
  margin-top: -50px;
  margin-left: 75px;
}

.others {
  display: flex;
  flex-direction: row;
  color: white;
  background-color: rgb(83, 146, 206);
  width: 50px;
  height: 50px;
  border-radius: 25px;
  text-align: center;
  justify-content: center;
  align-items: center;
  position: absolute;
  margin-top: -50px;
  margin-left: 75px;
}

.display-card h3 {
  text-align: center;
}

.checkmark {
  display: inline-block;
  width: 22px;
  height: 22px;
  -ms-transform: rotate(45deg); /* IE 9 */
  -webkit-transform: rotate(45deg); /* Chrome, Safari, Opera */
  transform: rotate(45deg);
}

.checkmark-stem {
  position: absolute;
  width: 3px;
  height: 9px;
  background-color: rgb(83, 146, 206);
  left: 11px;
  top: 6px;
}

.checkmark-kick {
  position: absolute;
  width: 3px;
  height: 3px;
  background-color: rgb(83, 146, 206);
  left: 8px;
  top: 12px;
}

.heading {
  text-align: center;
}

footer {
  /* position: relative; */
  width: 100%;
  text-align: center;
  /* border: 1px solid blue; */
  /* bottom: 0; */
  background-color: rgb(1, 106, 204);
  color: white;
  display: flex;
  /* justify-self: flex-end; */
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.social {
  padding: 10px;
  border-radius: 6px;
  position: relative;
  overflow: hidden;
}

/* Social Media Links*/
.social a {
  font-size: 30px;
  color: #f4fffe;
  border-style: groove;
  border-color: grey;
  padding: 10px;
  margin: 10px;
  border-radius: 6px;
  display: inline-block;
}

/* Social Media Links on mouse hover */

.custom-g:hover {
  background-color: rgb(44, 44, 44);
  color: white;
  -webkit-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  -moz-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  -o-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  transition: background-color 0.6s ease-out, color 0.6s ease-out;
}

.custom-l:hover {
  background-color: rgb(69, 164, 253);
  color: white;
  -webkit-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  -moz-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  -o-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  transition: background-color 0.6s ease-out, color 0.6s ease-out;
}

.custom-i:hover {
  background-color: rgb(255, 93, 93);
  color: white;
  -webkit-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  -moz-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  -o-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  transition: background-color 0.6s ease-out, color 0.6s ease-out;
}

.custom-t:hover {
  background-color: rgb(14, 227, 255);
  color: white;
  -webkit-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  -moz-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  -o-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  transition: background-color 0.6s ease-out, color 0.6s ease-out;
}

.custom-f:hover {
  background-color: rgb(0, 36, 199);
  color: white;
  -webkit-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  -moz-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  -o-transition: background-color 0.6s ease-out, color 0.6s ease-out;
  transition: background-color 0.6s ease-out, color 0.6s ease-out;
}
